Qt 5.7 | Qt 3D | C++ Classes | QMouseHandler

Qt 5.7.1 Reference Documentation

# QMouseHandler Class

(Qt3DInput::QMouseHandler)

Provides a means of being notified about mouse events when attached to a QMouseDevice instance. More...

Header: | #include <QMouseHandler>
qmake: | QT += 3dinput
Since: | Qt 5.5
Instantiated By: | MouseHandler
Inherits: | Qt3DCore::QComponent

- List of all members, including inherited members

## Properties

- containsMouse : const bool
- sourceDevice : Qt3DInput::QMouseDevice *

- 1 property inherited from Qt3DCore::QComponent
- 2 properties inherited from Qt3DCore::QNode

## Public Functions

| QMouseHandler(QNode *parent = nullptr)
| ~QMouseHandler()
bool | containsMouse() const
QMouseDevice * | sourceDevice() const

- 2 public functions inherited from Qt3DCore::QComponent
- 6 public functions inherited from Qt3DCore::QNode

## Public Slots

void | setSourceDevice(QMouseDevice *mouseDevice)

- 1 public slot inherited from Qt3DCore::QComponent
- 2 public slots inherited from Qt3DCore::QNode

## Signals

void | clicked(Qt3DInput::QMouseEvent *mouse)
void | containsMouseChanged(bool containsMouse)
void | doubleClicked(Qt3DInput::QMouseEvent *mouse)
void | entered()
void | exited()
void | positionChanged(Qt3DInput::QMouseEvent *mouse)
void | pressAndHold(Qt3DInput::QMouseEvent *mouse)
void | pressed(Qt3DInput::QMouseEvent *mouse)
void | released(Qt3DInput::QMouseEvent *mouse)
void | sourceDeviceChanged(QMouseDevice *mouseDevice)
void | wheel(Qt3DInput::QWheelEvent *wheel)

- 1 signal inherited from Qt3DCore::QComponent
- 3 signals inherited from Qt3DCore::QNode

### Additional Inherited Members

- 2 protected functions inherited from Qt3DCore::QNode

## Detailed Description

Provides a means of being notified about mouse events when attached to a QMouseDevice instance.

Note: QMouseHandler components shouldn't be shared, not respecting that condition will most likely result in undefined behaviors.

See also QMouseDevice.

## Property Documentation

### containsMouse : const bool

Holds `true` if the QMouseHandler currently contains the mouse.

Note: In this context, contains mean that the ray originating from the mouse is intersecting with the Qt3DCore::QEntity that aggregates the current QMouseHandler instance component.

Access functions:

bool | containsMouse() const

Notifier signal:

void | containsMouseChanged(bool containsMouse)

### sourceDevice : Qt3DInput::QMouseDevice *

Holds the current mouse source device of the QMouseHandler instance.

Access functions:

QMouseDevice * | sourceDevice() const
void | setSourceDevice(QMouseDevice *mouseDevice)

Notifier signal:

void | sourceDeviceChanged(QMouseDevice *mouseDevice)

## Member Function Documentation

### QMouseHandler::QMouseHandler(QNode *parent = nullptr)

Constructs a new QMouseHandler instance with parent parent.

### QMouseHandler::~QMouseHandler()

Destroys the instance of QMouseHandler.

### `[signal]` void QMouseHandler::clicked(Qt3DInput::QMouseEvent *mouse)

This signal is emitted when a mouse button is clicked with the event details being contained within mouse

### `[signal]` void QMouseHandler::doubleClicked(Qt3DInput::QMouseEvent *mouse)

This signal is emitted when a mouse button is double clicked with the event details being contained within mouse

### `[signal]` void QMouseHandler::entered()

### `[signal]` void QMouseHandler::exited()

### `[signal]` void QMouseHandler::positionChanged(Qt3DInput::QMouseEvent *mouse)

This signal is emitted when the mouse position changes with the event details being contained within mouse

### `[signal]` void QMouseHandler::pressAndHold(Qt3DInput::QMouseEvent *mouse)

This signal is emitted when a mouse button is pressed and held down with the event details being contained within mouse

### `[signal]` void QMouseHandler::pressed(Qt3DInput::QMouseEvent *mouse)

This signal is emitted when a mouse button is pressed with the event details being contained within mouse

### `[signal]` void QMouseHandler::released(Qt3DInput::QMouseEvent *mouse)

This signal is emitted when a mouse button is released with the event details being contained within mouse

### `[slot]` void QMouseHandler::setSourceDevice(QMouseDevice *mouseDevice)

Sets the mouse device of the QMouseHandler instance to mouseDevice.

Note: Setter function for property sourceDevice.

See also sourceDevice().

### `[signal]` void QMouseHandler::wheel(Qt3DInput::QWheelEvent *wheel)

This signal is emitted when the mouse wheel is used with the event details being contained within wheel